2024-04-17 13:49 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005512PoolOfRadiance[All Projects] Generalpublic2023-06-09 23:38
Reporteraardvark82 
Assigned ToPsygoreProject InfoPool Of Radiance (SSI)
http://www.whdload.de/games/PoolOfRadiance.html
 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Summary0005512: Crashes on specific actions
DescriptionCrash 1:
In combat, pressing space after moving crashes with Exception "Access Fault" ($4008)

Reproducible on any WinUAE config I've tried, and on a real A1200 too.

Crash 2:
Crashes when Readying Cloak of Displacement with Exception "Access Fault" (&4008) Long Read from $BEEF312

I can only reproduce Crash 2 on WinUAE configs with Z3 fast RAM or accelerator board fast RAM. Doesn't crash with Z2 fast RAM only config, nor on my real A1200 with 060 board.
Steps To ReproduceCrash 1:
From attached save files: Load game A -> Travel one square west to start combat -> In combat, press space activate move mode -> move at least once -> press space again for crash.

Crash 2:
From attached save files: Load game A -> Press V to view character -> Press I for items -> move over to Cloak of Displacement with arrow keys -> Press R two times to Unready and Ready the Cloak for crash.
TagsNo tags attached.
MachineA1200
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1.4
KickROM46 - Kick 3.1.4
KickSoftNone
WHDLoad18.7
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0012695

Psygore (developer)

I attached a new slave 1.3, it should fix the crashes.

note ~0012698

aardvark82 (reporter)

Thanks. Cloak of Displacement crash is fixed, but space key still causes crash in combat, but only in NTSC mode.

note ~0012699

aardvark82 (reporter)

Nevermind, crashes in space PAL too, but not consistently. But floppy version seems to have the same issue, at least with Skidrow crack.

note ~0012702

Psygore (developer)

Thanks for your feedback.

Does it crash too using expchip option ?

note ~0012706

aardvark82 (reporter)

It does.

note ~0012712

Psygore (developer)

Crash 1: confirmed.

I updloaded a new slave which should fix the crash 1 now.

note ~0012874

Psygore (developer)

New install package available.
+Notes

-Issue History
Date Modified Username Field Change
2022-02-27 01:37 aardvark82 New Issue
2022-02-27 01:37 aardvark82 File Added: PoolSave.lha
2022-04-09 13:28 StingRay Assigned To => Psygore
2022-04-09 13:28 StingRay Status new => assigned
2023-04-15 09:11 Psygore File Added: PoolOfRadiance13.lha
2023-04-15 09:12 Psygore Note Added: 0012695
2023-04-15 14:35 aardvark82 Note Added: 0012698
2023-04-15 18:02 aardvark82 Note Added: 0012699
2023-04-16 10:13 Psygore Note Added: 0012702
2023-04-16 14:32 aardvark82 Note Added: 0012706
2023-04-20 19:02 Psygore File Deleted: PoolOfRadiance13.lha
2023-04-20 19:04 Psygore File Added: PoolOfRadiance13.lha
2023-04-20 19:05 Psygore Note Added: 0012712
2023-06-05 08:57 Psygore Status assigned => resolved
2023-06-05 08:57 Psygore Resolution open => fixed
2023-06-05 08:57 Psygore Note Added: 0012874
2023-06-09 23:38 Psygore Status resolved => closed
+Issue History